unit FtImgTst;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Menus, StdCtrls, ExtCtrls, PgFltImg;

type
  TFiltreImageForm = class(TForm)
    PgFilterImage1: TPgFilterImage;
    Image1: TImage;
    Label1: TLabel;
    Label2: TLabel;
    MainMenu1: TMainMenu;
    File1: TMenuItem;
    Loadmainimage1: TMenuItem;
    LoadFilterimage1: TMenuItem;
    SaveImage1: TMenuItem;
    Reload1: TMenuItem;
    Exit1: TMenuItem;
    Effects1: TMenuItem;
    OpenDialog1: TOpenDialog;
    SaveDialog1: TSaveDialog;
    Filter1: TMenuItem;
    procedure Loadmainimage1Click(Sender: TObject);
    procedure LoadFilterimage1Click(Sender: TObject);
    procedure SaveImage1Click(Sender: TObject);
    procedure Reload1Click(Sender: TObject);
    procedure Exit1Click(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure Filter1Click(Sender: TObject);
  private
    CurrentPicture : String;
  public
    Procedure Reload;
  end;

var
  FiltreImageForm: TFiltreImageForm;

implementation

uses Filter;

{$R *.DFM}

procedure TFiltreImageForm.Loadmainimage1Click(Sender: TObject);
begin
  IF OpenDialog1.Execute Then
  Begin
    PgFilterImage1.Picture.LoadFromFile(OpenDialog1.FileName);
    CurrentPicture := OpenDialog1.FileName;
  End;
end;

procedure TFiltreImageForm.LoadFilterimage1Click(Sender: TObject);
begin
  IF OpenDialog1.Execute Then
    Image1.Picture.LoadFromFile(OpenDialog1.FileName);
end;

Procedure TFiltreImageForm.Reload;
Begin
  PgFilterImage1.Picture.LoadFromFile(CurrentPicture);
End;

procedure TFiltreImageForm.SaveImage1Click(Sender: TObject);
begin
  IF SaveDialog1.Execute Then
    PgFilterImage1.Picture.SaveToFile(SaveDialog1.FileName);
end;

procedure TFiltreImageForm.Reload1Click(Sender: TObject);
begin
  Reload;
end;

procedure TFiltreImageForm.Exit1Click(Sender: TObject);
begin
  Close;
end;

procedure TFiltreImageForm.FormActivate(Sender: TObject);
begin
  CurrentPicture := '1.bmp';
  Reload;
  PgFilterImage1.FilterBitMap := Image1.Picture.Bitmap;
end;

procedure TFiltreImageForm.Filter1Click(Sender: TObject);
begin
  IF FilterForm.ShowModal = mrOk Then
  Begin    PgFilterImage1.Filter(StrToInt(FilterForm.SpinEdit1.Text),StrToInt(FilterForm.SpinEdit2.Text));
    PgFilterImage1.Refresh;
  End;
end;

end.
